local addonName = "WhatsTraining"
local wt = _G[addonName]

if (wt.currentClass ~= "MAGE") then return end

wt.SpellsByLevel = wt.FactionFilter({
	[1] = {{id = 1459, cost = 10},},
	[4] = {{id = 5504, cost = 100},{id = 116, cost = 100},},
	[6] = {{id = 587, cost = 100},{id = 2136, cost = 100},{id = 143, cost = 100, requiredIds = {133}},},
	[8] = {{id = 5143, cost = 200},{id = 118, cost = 200},{id = 205, cost = 200, requiredIds = {116}},},
	[10] = {{id = 5505, cost = 400, requiredIds = {5504}},{id = 7300, cost = 400, requiredIds = {168}},{id = 122, cost = 400},},
	[12] = {{id = 597, cost = 600, requiredIds = {587}},{id = 604, cost = 600},{id = 130, cost = 600},{id = 145, cost = 600, requiredIds = {143}},},
	[14] = {{id = 1449, cost = 900},{id = 1460, cost = 900, requiredIds = {1459}},{id = 2137, cost = 900, requiredIds = {2136}},{id = 837, cost = 900, requiredIds = {205}},},
	[16] = {{id = 5144, cost = 1500, requiredIds = {5143}},{id = 2120, cost = 1500},},
	[18] = {{id = 1008, cost = 1800},{id = 475, cost = 1800},{id = 3140, cost = 1800, requiredIds = {145}},},
	[20] = {{id = 1953, cost = 2000},{id = 5506, cost = 2000, requiredIds = {5505}},{id = 12051, cost = 2000},{id = 1463, cost = 2000},{id = 12824, cost = 2000, requiredIds = {118}},{id = 543, cost = 2000},{id = 10, cost = 2000},{id = 7301, cost = 2000, requiredIds = {7300}},{id = 7322, cost = 2000, requiredIds = {837}},{id = 3561, cost = 2000, faction = "Alliance"},{id = 3562, cost = 2000, faction = "Alliance"},{id = 32271, cost = 2000, faction = "Alliance"},{id = 3567, cost = 2000, faction = "Horde"},{id = 3563, cost = 2000, faction = "Horde"},{id = 32272, cost = 2000, faction = "Horde"},},
	[22] = {{id = 8437, cost = 3000, requiredIds = {1449}},{id = 990, cost = 3000, requiredIds = {597}},{id = 2138, cost = 3000, requiredIds = {2137}},{id = 2948, cost = 3000},{id = 6143, cost = 3000},},
	[24] = {{id = 5145, cost = 4000, requiredIds = {5144}},{id = 2139, cost = 4000},{id = 8450, cost = 4000, requiredIds = {604}},{id = 8400, cost = 4000, requiredIds = {3140}},{id = 2121, cost = 4000, requiredIds = {2120}},{id = 12505, cost = 100, requiredTalentId = 11366},},
	[26] = {{id = 120, cost = 5000},{id = 865, cost = 5000, requiredIds = {122}},{id = 8406, cost = 5000, requiredIds = {7322}},},
	[28] = {{id = 1461, cost = 7000, requiredIds = {1460}},{id = 759, cost = 7000},{id = 8494, cost = 7000, requiredIds = {1463}},{id = 8444, cost = 7000, requiredIds = {2948}},{id = 6141, cost = 7000, requiredIds = {10}},},
	[30] = {{id = 8455, cost = 8000, requiredIds = {1008}},{id = 8438, cost = 8000, requiredIds = {8437}},{id = 6127, cost = 8000, requiredIds = {5506}},{id = 8412, cost = 8000, requiredIds = {2138}},{id = 8457, cost = 8000, requiredIds = {543}},{id = 8401, cost = 8000, requiredIds = {8400}},{id = 12522, cost = 400, requiredIds = {12505}, requiredTalentId = 11366},{id = 7302, cost = 8000},{id = 45438, cost = 8000},{id = 3565, cost = 8000, faction = "Alliance"},{id = 3566, cost = 8000, faction = "Horde"},},
	[32] = {{id = 8416, cost = 10000, requiredIds = {5145}},{id = 6129, cost = 10000, requiredIds = {990}},{id = 8422, cost = 10000, requiredIds = {2121}},{id = 8461, cost = 10000, requiredIds = {6143}},{id = 8407, cost = 10000, requiredIds = {8406}},},
	[34] = {{id = 6117, cost = 13000},{id = 8445, cost = 12000, requiredIds = {8444}},{id = 8492, cost = 12000, requiredIds = {120}},},
	[35] = {{id = 49360, cost = 15000, faction = "Alliance"},{id = 49359, cost = 2000, faction = "Alliance"},{id = 49361, cost = 15000, faction = "Horde"},{id = 49358, cost = 2000, faction = "Horde"},},
	[36] = {{id = 8451, cost = 13000, requiredIds = {8450}},{id = 8495, cost = 13000, requiredIds = {8494}},{id = 13018, cost = 400, requiredTalentId = 11113},{id = 8402, cost = 13000, requiredIds = {8401}},{id = 12523, cost = 650, requiredIds = {12522}, requiredTalentId = 11366},{id = 8427, cost = 13000, requiredIds = {6141}},},
	[38] = {{id = 8439, cost = 14000, requiredIds = {8438}},{id = 3552, cost = 14000, requiredIds = {759}},{id = 8413, cost = 14000, requiredIds = {8412}},{id = 8408, cost = 14000, requiredIds = {8407}},},
	[40] = {{id = 8417, cost = 15000, requiredIds = {8416}},{id = 10138, cost = 15000, requiredIds = {6127}},{id = 12825, cost = 15000, requiredIds = {12824}},{id = 8458, cost = 15000, requiredIds = {8457}},{id = 8423, cost = 15000, requiredIds = {8422}},{id = 8446, cost = 15000, requiredIds = {8445}},{id = 6131, cost = 15000, requiredIds = {865}},{id = 7320, cost = 15000, requiredIds = {7302}},{id = 10059, cost = 15000, faction = "Alliance"},{id = 11416, cost = 15000, faction = "Alliance"},{id = 32266, cost = 15000, faction = "Alliance"},{id = 11417, cost = 15000, faction = "Horde"},{id = 11418, cost = 15000, faction = "Horde"},{id = 32267, cost = 15000, faction = "Horde"},},
	[42] = {{id = 10169, cost = 18000, requiredIds = {8455}},{id = 10156, cost = 18000, requiredIds = {1461}},{id = 10144, cost = 18000, requiredIds = {6129}},{id = 10148, cost = 18000, requiredIds = {8402}},{id = 12524, cost = 900, requiredIds = {12523}, requiredTalentId = 11366},{id = 10159, cost = 18000, requiredIds = {8492}},{id = 8462, cost = 18000, requiredIds = {8461}},},
	[44] = {{id = 10191, cost = 23000, requiredIds = {8495}},{id = 13019, cost = 1150, requiredIds = {13018}, requiredTalentId = 11113},{id = 10185, cost = 23000, requiredIds = {8427}},{id = 10179, cost = 23000, requiredIds = {8408}},},
	[46] = {{id = 10201, cost = 26000, requiredIds = {8439}},{id = 22782, cost = 26000, requiredIds = {6117}},{id = 10197, cost = 26000, requiredIds = {8413}},{id = 10205, cost = 26000, requiredIds = {8446}},{id = 13031, cost = 1700, requiredTalentId = 11426},},
	[48] = {{id = 10211, cost = 28000, requiredIds = {8417}},{id = 10053, cost = 28000, requiredIds = {3552}},{id = 10173, cost = 28000, requiredIds = {8451}},{id = 10149, cost = 28000, requiredIds = {10148}},{id = 10215, cost = 28000, requiredIds = {8423}},{id = 12525, cost = 1400, requiredIds = {12524}, requiredTalentId = 11366},},
	[50] = {{id = 10139, cost = 32000, requiredIds = {10138}},{id = 10223, cost = 32000, requiredIds = {8458}},{id = 10160, cost = 32000, requiredIds = {10159}},{id = 10180, cost = 32000, requiredIds = {10179}},{id = 10219, cost = 32000, requiredIds = {7320}},{id = 11419, cost = 32000, faction = "Alliance"},{id = 11420, cost = 32000, faction = "Horde"},},
	[52] = {{id = 10145, cost = 35000, requiredIds = {10144}},{id = 10192, cost = 35000, requiredIds = {10191}},{id = 13020, cost = 1750, requiredIds = {13019}, requiredTalentId = 11113},{id = 10206, cost = 35000, requiredIds = {10205}},{id = 10186, cost = 35000, requiredIds = {10185}},{id = 10177, cost = 35000, requiredIds = {8462}},{id = 13032, cost = 1750, requiredIds = {13031}, requiredTalentId = 11426},},
	[54] = {{id = 10170, cost = 36000, requiredIds = {10169}},{id = 10202, cost = 36000, requiredIds = {10201}},{id = 10199, cost = 36000, requiredIds = {10197}},{id = 10150, cost = 36000, requiredIds = {10149}},{id = 12526, cost = 1800, requiredIds = {12525}, requiredTalentId = 11366},{id = 10230, cost = 36000, requiredIds = {6131}},},
	[56] = {{id = 23028, cost = 38000, requiredIds = {10157}},{id = 10157, cost = 38000, requiredIds = {10156}},{id = 10212, cost = 38000, requiredIds = {10211}},{id = 33041, cost = 1900, requiredTalentId = 31661},{id = 10216, cost = 38000, requiredIds = {10215}},{id = 10181, cost = 38000, requiredIds = {10180}},},
	[58] = {{id = 10054, cost = 40000, requiredIds = {10053}},{id = 22783, cost = 40000, requiredIds = {22782}},{id = 10207, cost = 40000, requiredIds = {10206}},{id = 10161, cost = 40000, requiredIds = {10160}},{id = 13033, cost = 2000, requiredIds = {13032}, requiredTalentId = 11426},},
	[60] = {{id = 25345, cost = 42000, requiredIds = {10212}},{id = 28612, cost = 42000, requiredIds = {10145}},{id = 10140, cost = 42000, requiredIds = {10139}},{id = 10174, cost = 42000, requiredIds = {10173}},{id = 10193, cost = 42000, requiredIds = {10192}},{id = 12826, cost = 42000, requiredIds = {12825}},{id = 13021, cost = 2100, requiredIds = {13020}, requiredTalentId = 11113},{id = 10225, cost = 42000, requiredIds = {10223}},{id = 10151, cost = 42000, requiredIds = {10150}},{id = 18809, cost = 2100, requiredIds = {12526}, requiredTalentId = 11366},{id = 10187, cost = 42000, requiredIds = {10186}},{id = 28609, cost = 42000, requiredIds = {10177}},{id = 25304, cost = 42000, requiredIds = {10181}},{id = 10220, cost = 42000, requiredIds = {10219}},{id = 33690, cost = 20000, faction = "Alliance"},{id = 35715, cost = 20000, faction = "Horde"},},
	[61] = {{id = 27078, cost = 46000, requiredIds = {10199}},},
	[62] = {{id = 27080, cost = 51000, requiredIds = {10202}},{id = 25306, cost = 42000, requiredIds = {10151}},{id = 30482, cost = 51000},},
	[63] = {{id = 27130, cost = 57000, requiredIds = {10170}},{id = 27075, cost = 57000, requiredIds = {25345}},{id = 27071, cost = 57000, requiredIds = {25304}},},
	[64] = {{id = 30451, cost = 63000},{id = 33042, cost = 2200, requiredIds = {33041}, requiredTalentId = 31661},{id = 27086, cost = 63000, requiredIds = {10216}},{id = 27134, cost = 2500, requiredIds = {13033}, requiredTalentId = 11426},},
	[65] = {{id = 37420, cost = 70000, requiredIds = {10140}},{id = 27133, cost = 3500, requiredIds = {13021}, requiredTalentId = 11113},{id = 27073, cost = 70000, requiredIds = {10207}},{id = 27087, cost = 70000, requiredIds = {10161}},{id = 35717, cost = 150000, faction = "Horde"},{id = 33691, cost = 150000, faction = "Alliance"},},
	[66] = {{id = 27070, cost = 78000, requiredIds = {25306}},{id = 27132, cost = 3900, requiredIds = {18809}, requiredTalentId = 11366},{id = 30455, cost = 78000},},
	[67] = {{id = 33944, cost = 100000, requiredIds = {10174}},{id = 27088, cost = 87000, requiredIds = {10230}},},
	[68] = {{id = 27101, cost = 96000, requiredIds = {10054}},{id = 66, cost = 96000},{id = 27131, cost = 96000, requiredIds = {10193}},{id = 27085, cost = 96000, requiredIds = {10187}},},
	[69] = {{id = 33946, cost = 110000, requiredIds = {27130}},{id = 38699, cost = 87000, requiredIds = {27075}},{id = 27125, cost = 110000, requiredIds = {22783}},{id = 27128, cost = 110000, requiredIds = {10225}},{id = 27072, cost = 110000, requiredIds = {27071}},{id = 27124, cost = 110000, requiredIds = {10220}},},
	[70] = {{id = 44780, cost = 10000, requiredTalentId = 44425},{id = 27127, cost = 100000, requiredIds = {23028}},{id = 27082, cost = 120000, requiredIds = {27080}},{id = 27126, cost = 120000, requiredIds = {10157}},{id = 38704, cost = 100000, requiredIds = {38699}},{id = 33717, cost = 150000, requiredIds = {28612}},{id = 27090, cost = 150000, requiredIds = {37420}},{id = 43987, cost = 120000, requiredIds = {27090,33717}},{id = 30449, cost = 120000},{id = 33933, cost = 6000, requiredIds = {27133}, requiredTalentId = 11113},{id = 33043, cost = 2500, requiredIds = {33042}, requiredTalentId = 31661},{id = 27079, cost = 120000, requiredIds = {27078}},{id = 38692, cost = 150000, requiredIds = {27070}},{id = 55359, cost = 5000, requiredTalentId = 44457},{id = 33938, cost = 7500, requiredIds = {27132}, requiredTalentId = 11366},{id = 27074, cost = 120000, requiredIds = {27073}},{id = 32796, cost = 120000, requiredIds = {28609}},{id = 38697, cost = 150000, requiredIds = {27072}},{id = 33405, cost = 6000, requiredIds = {27134}, requiredTalentId = 11426},},
	[71] = {{id = 42894, cost = 150000, requiredIds = {30451}},{id = 43023, cost = 150000, requiredIds = {27125}},{id = 43045, cost = 150000, requiredIds = {30482}},{id = 53140, cost = 95000},},
	[72] = {{id = 42925, cost = 150000, requiredIds = {27086}},{id = 42930, cost = 150000, requiredIds = {27087}},{id = 42913, cost = 150000, requiredIds = {30455}},},
	[73] = {{id = 43019, cost = 150000, requiredIds = {27131}},{id = 42890, cost = 7500, requiredIds = {33938}, requiredTalentId = 11366},{id = 42858, cost = 150000, requiredIds = {27074}},},
	[74] = {{id = 42872, cost = 150000, requiredIds = {27079}},{id = 42832, cost = 150000, requiredIds = {38692}},{id = 42939, cost = 150000, requiredIds = {27085}},{id = 53142, cost = 95000},},
	[75] = {{id = 42843, cost = 150000, requiredIds = {38704}},{id = 42955, cost = 150000, requiredIds = {33717}},{id = 42944, cost = 7500, requiredIds = {33933}, requiredTalentId = 11113},{id = 42949, cost = 7500, requiredIds = {33043}, requiredTalentId = 31661},{id = 44614, cost = 150000},{id = 42917, cost = 150000, requiredIds = {27088}},{id = 42841, cost = 150000, requiredIds = {38697}},{id = 43038, cost = 7500, requiredIds = {33405}, requiredTalentId = 11426},},
	[76] = {{id = 42896, cost = 150000, requiredIds = {42894}},{id = 42920, cost = 150000, requiredIds = {27082}},{id = 43015, cost = 150000, requiredIds = {33944}},},
	[77] = {{id = 43017, cost = 150000, requiredIds = {33946}},{id = 42985, cost = 150000, requiredIds = {27101}},{id = 42891, cost = 7500, requiredIds = {42890}, requiredTalentId = 11366},},
	[78] = {{id = 43010, cost = 150000, requiredIds = {27128}},{id = 42833, cost = 150000, requiredIds = {42832}},{id = 42859, cost = 150000, requiredIds = {42858}},{id = 42914, cost = 150000, requiredIds = {42913}},},
	[79] = {{id = 42846, cost = 150000, requiredIds = {42843}},{id = 43024, cost = 150000, requiredIds = {43023}},{id = 43020, cost = 150000, requiredIds = {43019}},{id = 42926, cost = 150000, requiredIds = {42925}},{id = 43046, cost = 150000, requiredIds = {43045}},{id = 42931, cost = 150000, requiredIds = {42930}},{id = 43012, cost = 150000, requiredIds = {32796}},{id = 42842, cost = 150000, requiredIds = {42841}},{id = 43008, cost = 150000, requiredIds = {27124}},},
	[80] = {{id = 44781, cost = 15000, requiredIds = {44780}, requiredTalentId = 44425},{id = 42897, cost = 150000, requiredIds = {42896}},{id = 43002, cost = 150000, requiredIds = {27127}},{id = 42921, cost = 150000, requiredIds = {42920}},{id = 42995, cost = 150000, requiredIds = {27126}},{id = 42956, cost = 150000, requiredIds = {42955}},{id = 55342, cost = 150000},{id = 58659, cost = 150000, requiredIds = {42956}},{id = 42945, cost = 7500, requiredIds = {42944}, requiredTalentId = 11113},{id = 42950, cost = 7500, requiredIds = {42949}, requiredTalentId = 31661},{id = 42873, cost = 150000, requiredIds = {42872}},{id = 47610, cost = 150000, requiredIds = {44614}},{id = 55360, cost = 7500, requiredIds = {55359}, requiredTalentId = 44457},{id = 42940, cost = 150000, requiredIds = {42939}},{id = 43039, cost = 7500, requiredIds = {43038}, requiredTalentId = 11426},},
})